package com.webonlineapp;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.hyjavastock.chart.Highstock;

/*
 * A simple proof of concept example application to show how to integrate
 * Highstock and the HyJavaStock library in a JSP application.
 * 
 * Note: The evaluation library only supports a limited set of Highcharts Stock chart types and chart options.
 *       The full version of the HyJavaCharts library supports all Highcharts Stock chart types and chart options.
 *       
 * NOTE: We are not experts using JSP's so there will no doubt be better ways to accomplish the same thing.
 * 
 */
@WebServlet("/")
public final class DemoServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;


    /**
     * 
     */
    protected void doGet(final HttpServletRequest req, final HttpServletResponse resp)
            throws ServletException, IOException {

        handleRequest(req, resp);
    }

    /**
     * 
     */
    protected void doPost(final HttpServletRequest req, final HttpServletResponse resp)
            throws ServletException, IOException {

        handleRequest(req, resp);
    }

    /**
     * 
     * @param req
     * @param resp
     * @throws ServletException
     * @throws IOException
     */
    private void handleRequest(final HttpServletRequest req, final HttpServletResponse resp)
            throws ServletException, IOException {
    	
    	String globalOptionsJs = "";
    	String chartOptionsJs = "";
    	
		Highstock hs = new HighstockColumn().configure();
		chartOptionsJs = hs.chartOptionsToJs();
		
		req.setAttribute("globalOptions", globalOptionsJs);		// global options are optional
        req.setAttribute("chartOptions", chartOptionsJs);
 
        req.getRequestDispatcher("/highstockdemo.jsp").forward(req, resp);
    }

}
